> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bedrock.quarry-systems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User

> Update a user

## Path Parameters

<ParamField path="id" type="string" required>
  The user ID to update
</ParamField>

## Request Body

All fields are optional. Only provided fields will be updated.

<ParamField body="firstName" type="string">
  First name
</ParamField>

<ParamField body="lastName" type="string">
  Last name
</ParamField>

<ParamField body="displayName" type="string">
  Display name
</ParamField>

<ParamField body="avatarUrl" type="string">
  Avatar URL
</ParamField>

<ParamField body="defaultTenantId" type="string">
  Default tenant
</ParamField>

<ParamField body="status" type="string">
  User status. One of: `active`, `inactive`, `suspended`
</ParamField>

## Response

Returns the updated user object.

<RequestExample>
  ```bash cURL theme={null}
  curl -X PUT 'https://api.example.com/users/user_jane' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Content-Type: application/json' \
    -d '{
      "displayName": "Jane D.",
      "defaultTenantId": "tenant_globex"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "user_jane",
    "subjectId": "subject_jane",
    "kindeId": "kp_abc123",
    "email": "jane@acme.com",
    "displayName": "Jane D.",
    "defaultTenantId": "tenant_globex",
    "status": "active",
    "updatedAt": "2024-01-16T10:30:00Z"
  }
  ```
</ResponseExample>
